Web lists-archives.com

Re: perl -- classic?




On 2/4/2019 3:09 PM, Peter A. Castro wrote:
> On Mon, Feb 04, 2019 at 02:32:35PM -0800, L A Walsh wrote:
>
> Greetings,
>
>   
>> Can we have an older perl, say, perl-5.0.16?  works for my stuff mostly
>> unchanged,
>>     
>
> You sure you mean 5.0.16?  That's really, really old!  Maybe you mean
> 5.16.1?
>   
---
    ooops...5.16.3 actually....


5.18 was when they started w/they itchy trigger fingers and
pulling features into experimental status at the same time
they added a new incompat feature by default --
mandatory warnings.

Between the two more than a little bit of code broke, since code wisdom
before then was to always develop and run with warnings and strict on.
And some took it a step farther and did a die on warnings. --
which took out any prog that used 'my $_';

Anyway, someone uses 5.18.x as as their latest support for their
CPAN -- more CPAN authors aren't staying up-to-date as newer
features cause problems.

Who would have thought
using a sub by name that is 'export_ok', now is broken.

(Term::Size::Chars) -- that is actually a recommended usage
on its manpage but now breaks.

Sheesh.


I guess the new exporter disallows items in the export_allow list if
they are not in the export list?




--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple